
#ifndef _HUDPickupItem_H__
#define _HUDPickupItem_H__

#include "overlays/OverlaysPrereqs.h"

#include <map>
#include <vector>
#include <string>

#include <OgreOverlayManager.h>
#include <OgrePanelOverlayElement.h> 

#include "overlays/OrxonoxOverlay.h"
#include "tools/interfaces/Tickable.h"
#include "worldentities/pawns/Pawn.h"
#include "overlays/OverlayGroup.h"
#include "pickup/Pickup.h"

namespace orxonox
{
    class _OverlaysExport HUDPickupItem : public OrxonoxOverlay, public Tickable
    {
    public:
        HUDPickupItem(Context* context);
        Ogre::PanelOverlayElement* overlayElement_;
        virtual ~HUDPickupItem();
        
        void initializeMaterial(const std::string& s, float x, float y);  
        void hideMe(Pickupable* p, bool repaint); 

    private:        
        WeakPtr<Pawn> owner_;
        WeakPtr<Pickup> pickup_;

    };
}

#endif